#!/bin/sh

cat ~/bin/calendar/conkyrc.template

DL=`date -d '-1 month' '+%m %Y' | sed -e s/^0//`
DD=`date '+%d' | sed -e s/^0//`
NLC=`cal -m | sed -e 's/$/ /' -e 's/^/ /' | grep -n ' '$DD' ' | sed -e 's/:.*$//'`
DN=`date -d '1 month' '+%m %Y' | sed -e s/^0//`

echo '${font Terminus:size=8}'
echo -n '${color1}'
cal -m $DL| sed -e 's/$/ /' -e 's/^/ /' -e 1!d
echo -n '${color2}'
cal -m $DL | sed -e 's/$/ /' -e 's/^/ /' -e 2!d
cal -m $DL | sed -e 's/$/ /' -e 's/^/${color3} /' -e 's/^\(.\{1,25\}\)\(.*\)/\1${color6}\2/' -e 1,2d

echo -n '${color1}'
cal -m| sed -e 's/$/ /' -e 's/^/ /' -e 1!d
echo -n '${color2}'
cal -m | sed -e 's/$/ /' -e 's/^/ /' -e 2!d
# first
cal -m | sed -e 's/$/ /' -e 's/^/${color3} /' -e 's/^\(.\{1,25\}\)\(.*\)/\1${color6}\2/' -e 1,2d -e ${NLC},9d
# current
if [ "$DD" -gt "9" ]
then
    cal -m | sed -e 's/$/ /' -e 's/^/${color3} /' -e 's/^\(.\{1,25\}\)\(.\{1,2\} \)/\1${color7}\2${color7}/' -e 's/\('$DD' \)\(.\{1,2\}\)/${color5}${font Terminus:size=8:weight=bold}\1${font Terminus:size=8}${color4}\2/' -e 's/.\{1,9\}\(.\{1,3\}\).\{1,9\}\('$DD' \)$/${color6}\1${color5}${font Terminus:size=8:weight=bold}\2${font Terminus:size=8}/' -e ${NLC}!d
else
    cal -m | sed -e 's/$/ /' -e 's/^/${color3} /' -e 's/^\(.\{1,25\}\)\(.\{1,2\} \)/\1${color7}\2${color7}/' -e 's/\('$DD' \)\(.\{1,2\}\)/${color5}${font Terminus:size=8:weight=bold}\1${font Terminus:size=8}${color4}\2/' -e 's/.\{1,9\}\(.\{1,3\}\).\{1,10\}\('$DD' \)$/${color6}\1${color5}${font Terminus:size=8:weight=bold} \2${font Terminus:size=8}/' -e ${NLC}!d
fi
# last
cal -m | sed -e 's/$/ /' -e 's/^/${color4} /' -e 's/^\(.\{1,25\}\)\(.*\)/\1${color7}\2/' -e 1,${NLC}d

echo -n '${color1}'
cal -m $DN | sed -e 's/$/ /' -e 's/^/ /' -e 1!d
echo -n '${color2}'
cal -m $DN | sed -e 's/$/ /' -e 's/^/ /' -e 2!d
cal -m $DN | sed -e 's/$/ /' -e 's/^/${color4} /' -e 's/^\(.\{1,25\}\)\(.*\)/\1${color7}\2/' -e 1,2d